<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - Weby+
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * @bin.wy_sql
	 *
	 * Modulo de funciones MySQL WebyPlus
	 *
	 */
	 
	 /* Autorizo acceso */
		defined('WY_INI_WEBY') or die( 'No dispones de acceso' );
		
	define('WYSQL_BASEDATOS','DATABASE');
	define('WYSQL_TABLA','TABLE');
	
	
	function wy_mysql_contar_reg( $tabla, $campoId, $where ){
		 return _mysql_contar_reg( WY_DBPREFIJO . $tabla, $campoId, $where );
	}
	 
	function wy_mysql_existe( $tabla, $campoId, $where ){
		return _mysql_existe( WY_DBPREFIJO . "$tabla", $campoId, $where );
	}
	
	function wy_mysql_eliminar_reg( $tabla, $id_reg ){
		return ySQL::eliminar_registro( WY_DBPREFIJO . "$tabla", $id_reg );
	}
	
	function wy_mysql_insert_reg( $tabla, $campos, $valores ){
		return _mysql_insert_reg( WY_DBPREFIJO . "$tabla", $campos, $valores );	
	}
	
	function wy_mysql_obtener_reg( $tabla, $buscar_consulta, $mostrar_consulta ){
		return _mysql_obtener_reg( WY_DBPREFIJO . "$tabla", $buscar_consulta, $mostrar_consulta );
	}
	
	function wy_mysql_query( $tabla = '', $consulta = '' )
	{
		$where = ( empty( $consulta ) ) ? NULL : $consulta;
		return _mysql_query( "SELECT * FROM " . WY_DBPREFIJO . "$tabla $where" );
	}

?>